Bug 93832 - Import of Word .doc file with frames and drawings objects is wrong
Summary: Import of Word .doc file with frames and drawings objects is wrong
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:doc
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2015-09-01 08:45 UTC by Peter
Modified: 2021-10-03 04:07 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
.doc to reproduce flaw, .pdf to demonstrate flaw (112.75 KB, application/x-7z-compressed)
2015-09-01 08:45 UTC, Peter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter 2015-09-01 08:45:01 UTC
Created attachment 118308 [details]
.doc to reproduce flaw, .pdf to demonstrate flaw

There is a flaw when importing a .doc file originating from MS Word 2010.
The document contains some boxes that are shifted around by LibreOffice.

Attached one can find an archive with three files:

TestBeschreibung3.doc           – file as written by MS Word 2010
TestBeschreibung3_Word2010.pdf  – how it is displayed in Word2010 (target state)
TestBeschreibung3_LO4.4.5.2.pdf – how it is displayed in LO 4.4.5.2 (flawed)
Comment 1 Peter 2015-09-01 09:17:01 UTC
The version I reported is just the version I used when I encountered this bug.
This isn't necessarily (probably isn't) the first version affected by this bug.

Thanks for debugging!
Comment 2 Cor Nouws 2015-09-01 09:44:56 UTC
Hi Peter,

Thanks for filing the issue and the clear sample document and PDF files.
I confirm the problem in 5.0.0.5 and 3.3.0 - so it must be a long standing issue.

Note: when grabbing the second large frame (RP) with the mouse and dragging it left, the next frame moves too!

Cheers - Cor
Comment 3 Robinson Tryon (qubit) 2015-12-14 05:59:31 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2018-10-02 02:54:33 UTC Comment hidden (obsolete)
Comment 5 Peter 2018-10-02 19:51:39 UTC
The bug is still present with the latest version of LibreOffice

Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 8; OS: Linux 3.13; UI render: default; VCL: gtk2; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 6 QA Administrators 2019-10-03 02:59:24 UTC Comment hidden (obsolete, spam)
Comment 7 QA Administrators 2021-10-03 04:07:59 UTC
Dear Peter,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug